Bug 131264 - error dialog on choosing manual partition
error dialog on choosing manual partition
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-30 12:42 EDT by Deji
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-01 20:24:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of (FC2) parted print (1.28 KB, text/plain)
2004-08-30 12:44 EDT, Deji
no flags Details

  None (edit)
Description Deji 2004-08-30 12:42:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040803

Description of problem:
I tried to install from the devel tree again and I chose new
installation method; on choosing manual partitioning, i got an error
dialog stating
"Bug: Assertion (ped_partition_is_active (part)) at disk.c:935 in
function ped_partition_get_flag() failed."
I got this from traceback errors;
>>>
File
"/usr/src/build/443500-i386/install//usr/lib/anaconda/iw/partition_gui.py",
line 824, in populate
  If getPartSizeMB(part) <=1.0 and not
part.get_flag(parted.PARTITION_BOOT):
error:Bug: Assertion (ped_partition_is_active (part)) at disk.c:935 in
function ped_partition_get_flag() failed.   

Version-Release number of selected component (if applicable):
anaconda-10.0.2

How reproducible:
Always

Steps to Reproduce:
1. boot rawhide image iso
2. choose manual installation
3.
    

Actual Results:  error dialog comes up

Additional info:

I guess there is a disagreement between how the partition tool I used
to resize NTFS and create the other partitions when I initially got
this laptop and the fedora partition tool. Hardware browser in my FC2
installation shows there are gaps of < 1MB between my partiton.
However I was able to install FC3 Test1 successfully on it (with those
< 1MB gaps).
Comment 1 Deji 2004-08-30 12:44:17 EDT
Created attachment 103253 [details]
Output of (FC2) parted print
Comment 2 Jeremy Katz 2004-08-30 13:24:22 EDT
Fixed on Friday in CVS, just not built yet.

Note You need to log in before you can comment on or make changes to this bug.